settings = new HashMap<>();
+ settings.put("boot-java", bootJavaObj);
+
+ harness.getServer().getWorkspaceService().didChangeConfiguration(new DidChangeConfigurationParams(new Gson().toJsonTree(settings)));
+
+ Path xmlFilePath = Paths.get(project.getLocationUri()).resolve("beans.xml");
+ Editor editor = harness.newEditor(LanguageId.XML,
+ "\n" +
+ "\n" +
+
+ "\n" +
+ "\n",
+ UriUtil.toUri(xmlFilePath.toFile()).toString()
+ );
+ editor.assertNoLinkTargets("u.t.r.SimpleObj");
+ }
+}
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/mvnw b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/mvnw
new file mode 100755
index 000000000..02217b1ec
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/mvnw
@@ -0,0 +1,233 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ #
+ # Look for the Apple JDKs first to preserve the existing behaviour, and then look
+ # for the new JDKs provided by Oracle.
+ #
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Java/JavaVirtualMachines/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L "/Library/Java/JavaVirtualMachines/CurrentJDK" ] ; then
+ #
+ # Oracle JDKs
+ #
+ export JAVA_HOME=/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -x "/usr/libexec/java_home" ]; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=`/usr/libexec/java_home`
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+fi
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+ local basedir=$(pwd)
+ local wdir=$(pwd)
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ wdir=$(cd "$wdir/.."; pwd)
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-$(find_maven_basedir)}
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} "$@"
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/mvnw.cmd b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/mvnw.cmd
new file mode 100644
index 000000000..4b98b78c4
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/mvnw.cmd
@@ -0,0 +1,145 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+set MAVEN_CMD_LINE_ARGS=%*
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+set WRAPPER_JAR="".\.mvn\wrapper\maven-wrapper.jar""
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CMD_LINE_ARGS%
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
\ No newline at end of file
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/pom.xml b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/pom.xml
new file mode 100644
index 000000000..28fcfd3e1
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/pom.xml
@@ -0,0 +1,158 @@
+
+
+ 4.0.0
+ u.t
+ test-xml-hyperlinks
+ test-xml-hyperlinks
+ war
+ 1.0.0-BUILD-SNAPSHOT
+
+ 1.6
+ 3.1.1.RELEASE
+ 1.6.10
+ 1.6.6
+
+
+
+
+ org.springframework
+ spring-context
+ ${org.springframework-version}
+
+
+
+ commons-logging
+ commons-logging
+
+
+
+
+ org.springframework
+ spring-webmvc
+ ${org.springframework-version}
+
+
+
+
+ org.aspectj
+ aspectjrt
+ ${org.aspectj-version}
+
+
+
+
+ org.slf4j
+ slf4j-api
+ ${org.slf4j-version}
+
+
+ org.slf4j
+ jcl-over-slf4j
+ ${org.slf4j-version}
+ runtime
+
+
+ org.slf4j
+ slf4j-log4j12
+ ${org.slf4j-version}
+ runtime
+
+
+ log4j
+ log4j
+ 1.2.15
+
+
+ javax.mail
+ mail
+
+
+ javax.jms
+ jms
+
+
+ com.sun.jdmk
+ jmxtools
+
+
+ com.sun.jmx
+ jmxri
+
+
+ runtime
+
+
+
+
+ javax.inject
+ javax.inject
+ 1
+
+
+
+
+ javax.servlet
+ servlet-api
+ 2.5
+ provided
+
+
+ javax.servlet.jsp
+ jsp-api
+ 2.1
+ provided
+
+
+ javax.servlet
+ jstl
+ 1.2
+
+
+
+
+ junit
+ junit
+ 4.7
+ test
+
+
+
+
+
+ maven-eclipse-plugin
+ 2.9
+
+
+ org.springframework.ide.eclipse.core.springnature
+
+
+ org.springframework.ide.eclipse.core.springbuilder
+
+ true
+ true
+
+
+
+ org.apache.maven.plugins
+ maven-compiler-plugin
+ 2.5.1
+
+ 1.6
+ 1.6
+ -Xlint:all
+ true
+ true
+
+
+
+ org.codehaus.mojo
+ exec-maven-plugin
+ 1.2.1
+
+ org.test.int1.Main
+
+
+
+
+
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/HomeController.java b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/HomeController.java
new file mode 100644
index 000000000..175525533
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/HomeController.java
@@ -0,0 +1,39 @@
+package u.t.r;
+
+import java.text.DateFormat;
+import java.util.Date;
+import java.util.Locale;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestMethod;
+
+/**
+ * Handles requests for the application home page.
+ */
+@Controller
+public class HomeController {
+
+ private static final Logger logger = LoggerFactory.getLogger(HomeController.class);
+
+ /**
+ * Simply selects the home view to render by returning its name.
+ */
+ @RequestMapping(value = "/", method = RequestMethod.GET)
+ public String home(Locale locale, Model model) {
+ logger.info("Welcome home! The client locale is {}.", locale);
+
+ Date date = new Date();
+ DateFormat dateFormat = DateFormat.getDateTimeInstance(DateFormat.LONG, DateFormat.LONG, locale);
+
+ String formattedDate = dateFormat.format(date);
+
+ model.addAttribute("serverTime", formattedDate );
+
+ return "home";
+ }
+
+}
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/SimpleObj.java b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/SimpleObj.java
new file mode 100644
index 000000000..937d84573
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/SimpleObj.java
@@ -0,0 +1,5 @@
+package u.t.r;
+
+public class SimpleObj {
+
+}
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/TestBean.java b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/TestBean.java
new file mode 100644
index 000000000..23f3d04cf
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/java/u/t/r/TestBean.java
@@ -0,0 +1,35 @@
+package u.t.r;
+
+public class TestBean {
+
+ private int age = 5;
+
+ private TestBean spouse;
+
+ private SimpleObj simple;
+
+ public int getAge() {
+ return age;
+ }
+
+ public void setAge(int age) {
+ this.age = age;
+ }
+
+ public TestBean getSpouse() {
+ return spouse;
+ }
+
+ public void setSpouse(TestBean spouse) {
+ this.spouse = spouse;
+ }
+
+ public SimpleObj getSimple() {
+ return simple;
+ }
+
+ public void setSimple(SimpleObj simple) {
+ this.simple = simple;
+ }
+
+}
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/resources/log4j.xml b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/resources/log4j.xml
new file mode 100644
index 000000000..44388f63f
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/resources/log4j.xml
@@ -0,0 +1,41 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/spring/appServlet/servlet-context.xml b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/spring/appServlet/servlet-context.xml
new file mode 100644
index 000000000..a61484643
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/spring/appServlet/servlet-context.xml
@@ -0,0 +1,28 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/spring/root-context.xml b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/spring/root-context.xml
new file mode 100644
index 000000000..de379cede
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/spring/root-context.xml
@@ -0,0 +1,15 @@
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/views/home.jsp b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/views/home.jsp
new file mode 100644
index 000000000..478338366
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/views/home.jsp
@@ -0,0 +1,14 @@
+<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
+<%@ page session="false" %>
+
+
+ Home
+
+
+
+ Hello world!
+
+
+ The time on the server is ${serverTime}.
+
+
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/web.xml b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/web.xml
new file mode 100644
index 000000000..c9975d53c
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/main/webapp/WEB-INF/web.xml
@@ -0,0 +1,33 @@
+
+
+
+
+
+ contextConfigLocation
+ /WEB-INF/spring/root-context.xml
+
+
+
+
+ org.springframework.web.context.ContextLoaderListener
+
+
+
+
+ appServlet
+ org.springframework.web.servlet.DispatcherServlet
+
+ contextConfigLocation
+ /WEB-INF/spring/appServlet/servlet-context.xml
+
+ 1
+
+
+
+ appServlet
+ /
+
+
+
diff --git a/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/test/resources/log4j.xml b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/test/resources/log4j.xml
new file mode 100644
index 000000000..05978314c
--- /dev/null
+++ b/headless-services/spring-boot-language-server/src/test/resources/test-projects/test-xml-hyperlinks/src/test/resources/log4j.xml
@@ -0,0 +1,41 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/theia-extensions/theia-spring-boot/spring-boot/src/browser/boot-preferences.ts b/theia-extensions/theia-spring-boot/spring-boot/src/browser/boot-preferences.ts
index 741ae9da3..724c27b79 100644
--- a/theia-extensions/theia-spring-boot/spring-boot/src/browser/boot-preferences.ts
+++ b/theia-extensions/theia-spring-boot/spring-boot/src/browser/boot-preferences.ts
@@ -36,6 +36,16 @@ export const BootConfigSchema: PreferenceSchema = {
description: 'Enable/Disable Support for Spring XML Config files',
default: false
},
+ 'boot-java.support-spring-xml-config.hyperlinks': {
+ type: 'boolean',
+ description: 'Enable/Disable Hyperlinks in Spring XML Config file editor',
+ default: true
+ },
+ 'boot-java.support-spring-xml-config.content-assist': {
+ type: 'boolean',
+ description: 'Enable/Disable Content Assist in Spring XML Config file editor',
+ default: true
+ },
'boot-java.support-spring-xml-config.scan-folders-globs': {
type: 'string',
description: 'Scan Spring XML in folders',
@@ -68,6 +78,8 @@ export interface BootConfiguration {
'boot-java.boot-hints.on': boolean;
'boot-java.scan-java-test-sources.on': boolean;
'boot-java.support-spring-xml-config.on': boolean;
+ 'boot-java.support-spring-xml-config.hyperlinks': boolean;
+ 'boot-java.support-spring-xml-config.content-assist': boolean;
'boot-java.support-spring-xml-config.scan-folders-globs': string;
'boot-java.change-detection.on': boolean;
'boot-java.highlight-codelens.on': boolean;
diff --git a/vscode-extensions/vscode-spring-boot/package.json b/vscode-extensions/vscode-spring-boot/package.json
index 4836d240a..b161acb7a 100644
--- a/vscode-extensions/vscode-spring-boot/package.json
+++ b/vscode-extensions/vscode-spring-boot/package.json
@@ -83,6 +83,16 @@
"default": false,
"description": "Enable/Disable Support for Spring XML Config files"
},
+ "boot-java.support-spring-xml-config.hyperlinks": {
+ "type": "boolean",
+ "description": "Enable/Disable Hyperlinks in Spring XML Config file editor",
+ "default": true
+ },
+ "boot-java.support-spring-xml-config.content-assist": {
+ "type": "boolean",
+ "description": "Enable/Disable Content Assist in Spring XML Config file editor",
+ "default": true
+ },
"boot-java.support-spring-xml-config.scan-folders-globs": {
"type": "string",
"default": "**/src/main/**",